{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-23.05";
    nixpkgs-unstable.url = "nixpkgs/nixos-unstable";
    mozilla.url = "github:mozilla/nixpkgs-mozilla";
    supercolor.url = "github:zoe-bat/supercolor";
    kaokao.url = "github:zoe-bat/kaokao";
    i3layouts-rofi.url = "github:zoe-bat/i3layouts-rofi";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = { self, nixpkgs, home-manager, supercolor, i3layouts-rofi, kaokao
    , mozilla, nixpkgs-unstable }@inputs:
    let
      system = "x86_64-linux";
      overlay-unstable = final: prev: {
        unstable = import nixpkgs-unstable {
          inherit system;
          config.allowUnfree = true;
        };
      };
    in {
      nixosConfigurations.bat = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [
          ({ config, pkgs, ... }: {
            nixpkgs.overlays = [ mozilla.overlays.rust overlay-unstable ];
          })
          ./configuration.nix
        ];
        specialArgs = inputs;
      };
      homeConfigurations."zoe@bat" = home-manager.lib.homeManagerConfiguration {
        pkgs = nixpkgs.legacyPackages.x86_64-linux;
        modules = [ ];
      };
    };
}
