{ pkgs, config, lib, ... }: {
  home-manager.users.zoe.programs.kitty = {
    enable = true;
    settings = {
      # cursor
      cursor = "none";

      # dont pop up a prompt when trying to close
      confirm_os_window_close = 0;

      # mouse
      focus_follows_mouse = true;

      # copy to clipboard
      strip_trailing_spaces = "smart";
      copy_on_select = true;

      # performance
      sync_to_monitor = true;

      # tabs
      tab_bar_edge = "top";
      tab_bar_style = "separator";
      tab_separator = " | ";
      active_tab_title_template =
        "❯ {bell_symbol}{activity_symbol}{fmt.fg.tab}{title}";

      window_border_width = 0;
      window_margin_width = 0;
      window_padding_width = 0;
     
      color0 = "#${config.color.black}";
      color8 = "#${config.color.black_dull}";
      color1 = "#${config.color.red}";
      color9 = "#${config.color.red_dull}";
      color2 = "#${config.color.green}";
      color10 = "#${config.color.green_dull}";
      color3 = "#${config.color.yellow}";
      color11 = "#${config.color.yellow_dull}";
      color4 = "#${config.color.blue}";
      color12 = "#${config.color.blue_dull}";
      color5 = "#${config.color.magenta}";
      color13 = "#${config.color.magenta_dull}";
      color6 = "#${config.color.cyan}";
      color14 = "#${config.color.cyan_dull}";
      color7 = "#${config.color.white}";
      color15 = "#${config.color.white_dull}";

      foreground = "#${config.color.foreground}";
      background = "#${config.color.background}";
      
      # background_opacity = "0.92";

      selection_foreground = "#${config.color.background}";
      selection_background = "#${config.color.foreground}";
      
      url_color = "#${config.color.magenta}";
      
      active_tab_foreground = "#${config.color.green}";
      active_tab_background = "#${config.color.background}";
      
      inactive_tab_foreground = "#${config.color.background}";
      inactive_tab_background = "#${config.color.green}";
      
      tab_bar_background = "#${config.color.green}";
      
    };
    font = {
      name = config.font.mono;
      size = 12;
    };
  };
}
