{ pkgs, config, ... }:
let
  inherit (config.home-manager.users.zoe.lib.formats.rasi) mkLiteral;
  rofi-theme = {
    "*" = {
      background-color = mkLiteral "#${config.color.background}";
      text-color = mkLiteral "#${config.color.foreground}";

      margin = 0;
      padding = 4;
      spacing = 4;
    };

    "window" = {
      width = mkLiteral "100%";
      height = mkLiteral "100%";
      border = mkLiteral "0px";
      border-color = mkLiteral "#${config.color.green}";
    };

    "element-text" = {
      highlight = mkLiteral "underline #${config.color.green}";
    };

    "element selected" = {
      border = mkLiteral "4px";
      border-color = mkLiteral "#${config.color.green}";
    };
  };
in
{
  home-manager.users.zoe.programs.rofi = {
    enable = true;
    package = pkgs.rofi-wayland;
    plugins = with pkgs; [ rofi-calc rofi-power-menu ];
    theme = rofi-theme;
    font = "${config.font.regular} 16";
    extraConfig = { modi = "drun,ssh,calc,window"; };
  };
}
