{ pkgs, ... }: {
  services = {
    syncthing.enable = true;
    chrony.enable = true;
    ntp.enable = false; # cant have ntp if chrony is running
    upower.enable = true;
    mullvad-vpn.enable = true;
    udisks2.enable = true;
    gnome.gnome-keyring.enable = true;
    postgresql.enable = true;
    getty.autologinUser = "zoe";
    gvfs.enable = true;
    tumbler.enable = true;
    udev = {
      enable = true;
      packages = with pkgs; [ arduino android-udev-rules ];
    };
    tlp = {
      enable = true;
      settings = { cpuFreqGovernor = "powersave"; };
    };
  };
}
