{ config, ... }: 
  let
    music = {
      block = "music";
      format = "{$icon $player {$volume_icon $volume|} $play $combo.str(max_w:25,rot_interval:0.5)|}";
    };
    pomodoro = {
      block = "pomodoro";
    };
  in
{
  home-manager.users.zoe.programs.i3status-rust.bars.main = {
    blocks = [
      music
      # audio in
      {
        block = "sound";
        device_kind = "source";
        format = "$icon";
        driver = "pulseaudio";
        step_width = 1;
      }

      # audio out
      {
        block = "sound";
        format = "{$icon $volume|$icon}";
        driver = "pulseaudio";
        headphones_indicator = true;
        step_width = 1;
      }

      # brightness
      {
        block = "backlight";
      }

      # network
      {
      block = "net"; 
      format = "$icon $device {$signal_strength $ssid |󰈁}";
      }

      # battery
      {
        block = "battery";
        driver = "upower";
        format = "$icon $percentage $power";
        full_format = "$icon $percentage $power";
        empty_format = "$icon $percentage $power";
        not_charging_format = "$icon $percentage $power";
      }
      pomodoro
      # time
      {
        block = "time";
        format = "$icon $timestamp.datetime(f:%R)";
        timezone = "Europe/Berlin";
        interval = 60;
      }
    ];
    
    settings = {
      icons = {icons = "material-nf";};
      theme = {
        theme = "gruvbox-light";
        overrides = {
          separator = " ";
          # background
          good_bg = "#${config.color.background}";
          critical_bg = "#${config.color.background}";
          idle_bg = "#${config.color.background}";
          info_bg = "#${config.color.background}";
          seperator_bg = "#${config.color.background}";
          warning_bg = "#${config.color.background}";

          # foreground
          critical_fg = "#${config.color.red}";
          good_fg = "#${config.color.green}";
          info_fg = "#${config.color.foreground}";
          idle_fg = "#${config.color.cyan}";
          separator_fg = "#${config.color.foreground}";
          warning_fg = "#${config.color.yellow}";
        };
      };
    };
  };
}
